Subject: Re: [PSAMP] PSAMP-INFO IE realtiveError: Open Points

From: Paul Aitken <[email-masked]>
Date: Thu, 18 Sep 2008 15:14:26 +0100

Thomas, all,

> as you may have noticed I just posted a new version of the draft. The
> only open points I see are your concerns expressed in the attached
> mail...
> 
> If you'd like to have those issues included in the draft then please
> suggest text for it.

Thanks. See inline:

>>>> absoluteError
>>>> 
>>>> This Information Element specifies the maximum possible
>>>> measurement error of the reported value for a given Information
>>>> Element. The
>> 
>> We should indicate how to connect the *Error values to specific
>> fields, eg by using an option with the specific field as scope.
>> Else, someone may put the *Error elements adjacent to the relative
>> fields in the data record - which could work, but is open to
>> misinterpretation.

"absoluteError should be used in an option template scoped to the
observation to which it refers.  See section 3.4.2.1 of RFC 5102."

>>>> absoluteError has the same unit as the information element it
>>>> is associated to. The real value of the metric can differ by absoluteError
>> 
>> "with" ------^^

ie, "has the same unit as the information element it is associated with".

>>>> (positive or negative) from the measured value. This
>>>> information element
>>>> provides only the error for measured values. If an information element
>>>> contains an estimated values (from sampling) the confidence boundaries
>>>> and confidence level have to be provided instead.
>> 
>> I would name the IEs: "the confidence boundaries and confidence
>> level have to be provided instead (with the upperCILimit,
>> lowerCILimit and confidenceLevel).

Use the text provided above ^^^^

>>>> relativeError
>>>> 
>>>> This Information Element specifies the maximum possible
>>>> measurement error of the reported value for a given Information
>>>> Element as percentage of the measured value. The real value of
>>>> the metric can differ by relativeError percent (positive or
>>>> negative) from the measured
>>>> value. This information element provides only the error for
>>>> measured values. If an information element contains an
>>>> estimated values (from sampling) the confidence boundaries and
>>>> confidence level have to be provided instead.
>> 
>> Again, as above, I would specifically name the IEs for this.

Use the same text as above.

>> We should specify that upperCILimit, lowerCILimit and
>> confidenceLevel are all required, and what to do if too few of them
>> are provided.

In these sections:

   8.6.5. upperCILimit
   8.6.6. lowerCILimit
   8.6.7. confidenceLevel

Add

   Note that the upperCILimit, lowerCILimit and confidenceLevel are all
   required to specify confidence, and should be disregarded unless all
   three are specified.

>>>> The accuracy for an estimated information element (from
>>>> sampling) SHOULD
>>>> be reported with confidence limits and confidence
>>>> level.[PSAMP-INFO]
>> 
>> Agreed. I'd also like to add something indicating how this can be
>> done, eg by using an option with the correct scope.

"upperCILimit, lowerCILimit and confidenceLevel should all be used in an
option template scoped to the observation to which they refer.   See
section 3.4.2.1 of RFC 5102."

Cheers.
-- 
Paul Aitken
Cisco Systems Ltd, Edinburgh, Scotland.

_______________________________________________
PSAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/psamp